{% extends "base.html" %}
{% block title %}enezKreiz - {{ crd['title'] }}{% endblock %}
{% block scripts %}
  <script type="text/javascript" src="{{ url_for('static', filename='dygraph.min.js') }}"></script>
  <script type="text/javascript" src="{{ url_for('static', filename='jquery-3.3.1.min.js') }}"></script>
  <script type="text/javascript" src="{{ url_for('static', filename='smoothPlotter.js') }}"></script>
  <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='dygraph.css') }}" />
  <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='style.css') }}" />
{% endblock %}
{% block menu %}
        {%- if crd['days'] | length > 1 %}
        <a id='menuGraph' class='dropdown-trigger' href='#' data-target='dropdown1'>
          <i class="material-icons">menu</i>
        </a>
        <!-- Dropdown Structure -->
        <ul id='dropdown1' class='dropdown-content' style="min-width: 150px;">
        {%- for opt in crd['days'] %}
          <li><a href="#!" onclick="updateGraph({{ opt }})">{{ opt }} jours{% if loop.first %} (défaut){% endif %}</a></li>
        {%- endfor %}
        </ul>
        {%- endif %}
{% endblock %}
{% block content %}
      <div id="preloader" class="preloader-wrapper big active" style="display: block; position: absolute; left: 50%; top: 40%; margin-top: -32px; margin-right: -32px">
        <div class="spinner-layer spinner-enez-only">
          <div class="circle-clipper left"><div class="circle"></div></div>
          <div class="gap-patch"><div class="circle"></div></div>
          <div class="circle-clipper right"><div class="circle"></div></div>
        </div>
      </div>
      <p></p>
      <div id="graph" style="width:95%; height: 90%; margin: auto;"></div>
      <script type="text/javascript">
        smoothPlotter.smoothing = 0.3;
        graph = new Dygraph(
          document.getElementById("graph"),
            {% if crd['data'][1] -%}
            "/csv2Fn/{{ crd['data'][0]['function'] }}/{{ crd['data'][0]['stream'] }}/{{ crd['data'][0]['elem'] }}/{{ crd['data'][0]['unit'] }}/{{ crd['data'][1]['stream'] }}/{{ crd['data'][1]['elem'] }}/{{ crd['data'][1]['unit'] }}/{{ crd['days'][0] }}/{{ crd['interval'] }}", 
            {% elif crd['data'][0]['function'] -%}
            "/csvFn/{{ crd['data'][0]['function'] }}/{{ crd['data'][0]['stream'] }}/{{ crd['data'][0]['elem'] }}/{{ crd['days'][0] }}/{{ crd['interval'] }}/{{ crd['data'][0]['unit'] }}", 
            {% else -%}
            "/csv/{{ crd['data'][0]['stream'] }}/{{ crd['data'][0]['elem'] }}/{{ crd['days'][0] }}/{{ crd['data'][0]['unit'] }}", 
            {% endif -%}
            { title: '{{ crd['title'] }}',
              ylabel: '{{ crd['yLabel'] }} ({{ crd['data'][0]['unit'] }})',
              legend: 'always',
              labelsDivStyles: { 'textAlign': 'right' },
              {% if crd['data'][1] -%}
              colors: [ "#FF0000", "#0000FF" ],  // red & blue if more than one data
              {% else -%}
              colors: [ "#C031C1" ],   // enez color if i data
              {% endif -%}
              showRangeSelector: true,
              rangeSelectorPlotStrokeColor: "#E3A9E4",
              rangeSelectorPlotFillColor: "#F6E1F6",
              {% if crd['data'][0]['graphType']=='step' %}stepPlot: true,{% endif %}{% if crd['data'][0]['graphType']=='smooth' %}plotter: smoothPlotter,{% endif %}
              strokeWidth: 2,
              drawCallback: function(g, is_initial) {
                if ($('#preloader').display != "none") {
                  $('#preloader').display = "none";
                  $('#preloader').removeClass("active");
                }
              },
            }  
          );

        function updateGraph(days) {
          $('#preloader').display="block";
          $('#preloader').addClass("active");
          {% if crd['data'][1] -%}
          graph.updateOptions( { 'file':'/csv2Fn/{{ crd['data'][0]['function'] }}/{{ crd['data'][0]['stream'] }}/{{ crd['data'][0]['elem'] }}/{{ crd['data'][0]['unit'] }}/{{ crd['data'][1]['stream'] }}/{{ crd['data'][1]['elem'] }}/{{ crd['data'][1]['unit'] }}/' + days + '/{{ crd['interval'] }}' } );
          {% elif crd['data'][0]['function'] -%}
          graph.updateOptions( { 'file':'/csvFn/{{ crd['data'][0]['function'] }}/{{ crd['data'][0]['stream'] }}/{{ crd['data'][0]['elem'] }}/' + days + '/{{ crd['interval'] }}/{{ crd['data'][0]['unit'] }}' } );
          {% else -%}
          graph.updateOptions( { 'file':'/csv/{{ crd['data'][0]['stream'] }}/{{ crd['data'][0]['elem'] }}/' + days + '/{{ crd['data'][0]['unit'] }}' } );
          {% endif -%}
        };

        $(document).ready(function() {
          $('#menuGraph').dropdown({
            outDuration: 225,
            //alignment: 'center',
            constrainWidth: false, // Does not change width of dropdown to that of the activator
            gutter: 0, // Spacing from edge
            belowOrigin: true, // Displays dropdown below the button
            inDuration: 300,
            hover: false // Activate on hover
          } );
        } );
      </script>
{% endblock %} 